WATCHDOGD(8)

NAME
watchdogd - watchdog timer retrigger daemon

SYNOPSIS
watchdogd [-dnq] [-i interval] [-p period]

DESCRIPTION
watchdogd is a daemon to activate and periodically retrigger the watchdog(4) timer device from userland. watchdogd is designed to work in high load environments, where other methods (such as a shell script invoking sysctl(8)) would involve too much overhead.

The basic premise is that after every interval seconds, watchdogd resets the hardware timer to period. See also watchdog(4) for more information on how watchdog timers work.

The options are as follows:

-d  Do not daemonize. If this option is specified, watchdogd will run in the foreground.

-i interval
    Specify how often, in seconds, watchdogd should retrigger the hardware timer. If no interval is specified, the value of period (see below) divided by three is used.

-n  Do not restore the watchdog to its original values once it has been activated. With this set, the system will be rebooted by the watchdog even after a halt(8).

-p period
    Set the hardware timer to expire in period seconds. The default is 30 seconds.

-q  Be quiet. With this option specified, watchdogd will not output a warning message if the underlying hardware adjusted the timeout period.

SEE ALSO
watchdog(4), sysctl(8)

HISTORY
The watchdogd program first appeared in OpenBSD 3.8.

AUTHORS
watchdogd was written by Marc Balmer <mbalmer@openbsd.org>.